﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using Julklapp.Models;

namespace Julklapp.Controllers
{
    public class MeinLosController : Controller
    {
		public IEmailService EmailService { get; set; }
    	public UserNameService UserNameService { get; set; }

		protected override void Initialize(RequestContext requestContext)
		{
			if (EmailService == null) { EmailService = new EmailService(); }
			if (UserNameService == null) { UserNameService = new UserNameService(); }

			base.Initialize(requestContext);
		}

        //
        // GET: /Los/

        public ActionResult Index()
        {
            return View();
        }

        //
        // POST: /Los/
		[HttpPost]
        public ActionResult Index(LosAbfrageModel losAbfrageModel)
		{
			return RedirectToAction("Anzeigen");
		}

        //
        // GET: /Los/
        public ActionResult Anzeigen()
		{
			return View(new LosNameModel{BeschenktePerson = UserNameService.GetGiftedPersonFor(User.Identity.Name)});
		}

    }
}
